Name:           python-adao
Version:        9.14.0.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        ADAO: A module for Data Assimilation and Optimization

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://www.salome-platform.org/
Source:         %{pypi_source adao}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'adao' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-adao
Summary:        %{summary}

%description -n python3-adao %_description


%prep
%autosetup -p1 -n adao-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-adao -f %{pyproject_files}


%changelog
%autochangelog